KUnitTest Namespace Reference

## Classes

class | Runner
class | SlotTester
class | Tester
class | TesterAutoregister
class | TestResults

## Typedefs

typedef QAsciiDict< Tester > | RegistryType
typedef QAsciiDictIterator < Tester > | RegistryIteratorType
typedef QAsciiDict< TestResults > | TestResultsListType
typedef QAsciiDictIterator < TestResults > | TestResultsListIteratorType

## Detailed Description

Namespace for Unit testing classes.

## Typedef Documentation

typedef QAsciiDictIterator<Tester> KUnitTest::RegistryIteratorType

A type that can be used to iterate through the registry.

Definition at line 78 of file runner.h.

typedef QAsciiDict<Tester> KUnitTest::RegistryType

The type of the registry.

Definition at line 75 of file runner.h.

typedef QAsciiDictIterator<TestResults> KUnitTest::TestResultsListIteratorType

A type that can be used to iterate through the registry.

Definition at line 512 of file tester.h.

KDE Home | KDE Accessibility Home | Description of Access Keys